跳轉到主要內容

概覽

使用此端點可以列出目前對外可見的活躍模型定價資訊。 如需查看某個模型的完整定價詳細資料,包括結構化定價與溯源資訊,請優先使用 取得模型定價

查詢參數

provider
string
選填的供應商篩選,例如 openaianthropicgoogle
tag
string
選填的模型標籤篩選,例如 chatimagevideoembeddingtranslation

回應

object
string
始終為 pricing
updated_at
string
回應中包含的最新定價條目的 ISO 時間戳。
currency
string
始終為 USD
data
array
定價條目陣列。每一項都包含 modelprovideris_lock_pricecapabilitiesaliases,以及上方互動式 schema 回傳的公開純量或結構化定價摘要欄位。
curl "https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat" \
  -H "Authorization: Bearer sk-your-api-key"
import requests

response = requests.get(
    "https://api.tokenlab.sh/v1/pricing",
    headers={"Authorization": "Bearer sk-your-api-key"},
    params={"provider": "openai", "tag": "chat"}
)

print(response.json())
const response = await fetch(
  'https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat',
  {
    headers: { 'Authorization': 'Bearer sk-your-api-key' }
  }
);

const data = await response.json();
console.log(data);
package main

import (
    "encoding/json"
    "fmt"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat", nil)
    req.Header.Set("Authorization", "Bearer sk-your-api-key")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    var result map[string]interface{}
    json.NewDecoder(resp.Body).Decode(&result)
    fmt.Println(result)
}
<?php
$ch = curl_init('https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat');

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer sk-your-api-key'
    ]
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
{
  "object": "pricing",
  "updated_at": "2026-04-20T00:00:00.000Z",
  "currency": "USD",
  "data": [
    {
      "model": "gpt-4o",
      "provider": "openai",
      "is_lock_price": false,
      "capabilities": ["chat"],
      "aliases": ["gpt-4o-latest"],
      "pricing": {
        "input_per_1m": "2.50",
        "output_per_1m": "10.00",
        "per_request": null,
        "is_lock_price": false,
        "currency": "USD"
      }
    }
  ]
}
請使用上方的互動式 OpenAPI 面板取得確切的回應 schema。公開定價條目也可能暴露 lock_price_per_requesthas_complex_pricingsupported_operationspricing_summarypricing_provenance